Bug 561830 - Your duplicate detection code is not working correctly.
Summary: Your duplicate detection code is not working correctly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: report
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gavin Romig-Koch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-04 13:26 UTC by Daniel Walsh
Modified: 2010-06-03 15:00 UTC (History)
1 user (show)

Fixed In Version: report-0.12-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 18:14:19 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2010-02-04 13:26:20 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=561579
setroubleshoot_trace_hash:fac7daa743f48e84b0f1adddd13eaffce1b2c8dc6a173b5aef41026d43819c99

https://bugzilla.redhat.com/show_bug.cgi?id=560774
setroubleshoot_trace_hash:fac7daa743f48e84b0f1adddd13eaffce1b2c8dc6a173b5aef41026d43819c99

Both not marked as dups.  One possible problem is if the code does not find white board matches if a bug is closed or closed as a dup.

Comment 1 Gavin Romig-Koch 2010-02-04 15:21:42 UTC
It's not matching because the 'component' is different.  The current dup detection code in report requires both that the hash value matches and the component matches.

I intentionally added the requirement that the component match on the grounds that (it seemed to me) problems reported against two different components shouldn't match.   In retrospect this was mistaken.  I didn't consider the cases where components are changed after the report is filed.  Additionally I now realize the hash tag itself will 

I'll change this back to not comparing component.

Comment 2 Gavin Romig-Koch 2010-02-04 15:25:49 UTC
(In reply to comment #1)
>  Additionally I now realize the hash tag itself will 

... solve the 'reported against two different components' problem I thought I was solving with this change.

Comment 3 Daniel Walsh 2010-02-04 15:29:37 UTC
Is report available in F12 yet?

Comment 4 Gavin Romig-Koch 2010-02-04 22:11:13 UTC
(In reply to comment #3)
> Is report available in F12 yet?    

Yes.

Comment 5 Daniel Walsh 2010-02-05 14:43:19 UTC
Ok I am going to push the rawhide setroubleshoot package that uses report into Rawhide and then into RHEL6.

Comment 6 Gavin Romig-Koch 2010-02-05 19:21:16 UTC
(In reply to comment #5)
> Ok I am going to push the rawhide setroubleshoot package that uses report into
> Rawhide and then into RHEL6.    

"into" _F-12_ "and then into RHEL6"?

Thank you.

Comment 7 Daniel Walsh 2010-02-05 20:08:50 UTC
Yes that is what I meant.

Comment 8 Bug Zapper 2010-03-15 14:23:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Gavin Romig-Koch 2010-05-06 14:16:52 UTC
I fixed this some time ago, but forgot to mark it fixed.

Comment 10 Gavin Romig-Koch 2010-05-07 18:32:25 UTC
(In reply to comment #9)
> I fixed this some time ago, but forgot to mark it fixed.    

No I didn't.  Confused this with other problems.

Comment 11 Gavin Romig-Koch 2010-05-12 18:26:03 UTC
corrected upstream.

Comment 12 Fedora Update System 2010-05-12 21:57:27 UTC
report-0.12-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/report-0.12-1.fc13

Comment 13 Fedora Update System 2010-05-12 22:02:27 UTC
report-0.12-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/report-0.12-1.fc12

Comment 14 Fedora Update System 2010-05-12 22:11:47 UTC
report-0.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/report-0.12-1.fc11

Comment 15 Fedora Update System 2010-05-12 22:18:45 UTC
report-0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/report-0.12-1.el5

Comment 16 Fedora Update System 2010-05-13 19:29:12 UTC
report-0.12-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update report'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/report-0.12-1.fc13

Comment 17 Fedora Update System 2010-05-14 01:06:18 UTC
report-0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update report'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/report-0.12-1.el5

Comment 18 Fedora Update System 2010-06-02 17:59:16 UTC
report-0.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-06-02 18:06:58 UTC
report-0.12-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-06-02 18:14:14 UTC
report-0.12-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-06-03 15:00:02 UTC
report-0.12-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.